Create
curl --request POST \
--url https://api.qa.sima.ag/api/v2/third_party/applicators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"\"{\\n \\\"name\\\": \\\"Nico Corvalan\\\",\\n \\\"address\\\": \\\"Avenida Siempre Viva 123\\\",\\n \\\"phone_number\\\": \\\"0341 1533256562\\\",\\n \\\"email\\\": \\\"homero@simpson.com\\\"\\n}\""
'import requests
url = "https://api.qa.sima.ag/api/v2/third_party/applicators"
payload = "\"{\n \\"name\\": \\"Nico Corvalan\\",\n \\"address\\": \\"Avenida Siempre Viva 123\\",\n \\"phone_number\\": \\"0341 1533256562\\",\n \\"email\\": \\"homero@simpson.com\\"\n}\""
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': '*/*'
},
body: JSON.stringify('"{\n \"name\": \"Nico Corvalan\",\n \"address\": \"Avenida Siempre Viva 123\",\n \"phone_number\": \"0341 1533256562\",\n \"email\": \"homero@simpson.com\"\n}"')
};
fetch('https://api.qa.sima.ag/api/v2/third_party/applicators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v2/third_party/applicators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('"{\\n \\"name\\": \\"Nico Corvalan\\",\\n \\"address\\": \\"Avenida Siempre Viva 123\\",\\n \\"phone_number\\": \\"0341 1533256562\\",\\n \\"email\\": \\"homero@simpson.com\\"\\n}"'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 83792,
"name": "Nico Corvalan",
"address": "Avenida Siempre Viva 123",
"phone_number": "0341 1533256562",
"email": "homero@simpson.com",
"date_created": "2023-01-04T12:49:07-03:00",
"date_modified": "2023-01-04T12:49:07-03:00",
"machines": []
}Version 1 > Applicators
Create
POST
/
api
/
v2
/
third_party
/
applicators
Create
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
*/*
The body is of type string.
Example:
"\"{\\n \\\"name\\\": \\\"Nico Corvalan\\\",\\n \\\"address\\\": \\\"Avenida Siempre Viva 123\\\",\\n \\\"phone_number\\\": \\\"0341 1533256562\\\",\\n \\\"email\\\": \\\"homero@simpson.com\\\"\\n}\""
Response
200 - application/json
OK
The response is of type object.

